//-----------------------------------------------------------------------------
// Copyright (c) 2012 GarageGames, LLC
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to
// deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
// sell copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
// IN THE SOFTWARE.
//-----------------------------------------------------------------------------

new TerrainMaterial()
{
   internalName = "grass1";
   diffuseMap = "grass1";
   detailMap = "grass1_d";
   detailSize = "10";
   isManaged = "1";
   detailBrightness = "1";
   Enabled = "1";
   diffuseSize = "200";
};

new TerrainMaterial()
{
   internalName = "rocktest";
   diffuseMap = "rocktest";
   detailMap = "rocktest_d";
   detailSize = "10";
   detailDistance = "100";
   isManaged = "1";
   detailBrightness = "1";
   Enabled = "1";
   diffuseSize = "400";
};

new TerrainMaterial()
{
   internalName = "grass1-dry";
   diffuseMap = "grass1-dry";
   detailMap = "grass1-dry_d";
   detailSize = "10";
   detailDistance = "100";
   isManaged = "1";
   detailBrightness = "1";
   Enabled = "1";
   diffuseSize = "250";
   detailStrength = "2";
};




new TerrainMaterial()
{
   diffuseMap = "levels/snow_island/art/terrains/Overlay_RockyDirt";
   detailMap = "levels/snow_island/art/terrains/rockydirt-01-d";
   internalName = "RockyDirt";
   detailDistance = "50";
   detailStrength = "1";
   parallaxScale = "0";
   diffuseSize = "200";
   detailSize = "10";
   isManaged = "1";
   enabled = "1";
   detailBrightness = "1";
};

new TerrainMaterial()
{
   diffuseMap = "levels/snow_island/art/terrains/Overlay_01";
   normalMap = "levels/snow_island/art/terrains/Concrete-03-ddn";
   detailMap = "levels/snow_island/art/terrains/Concrete-03-diff";
   internalName = "Concrete";
   detailStrength = "1";
   diffuseSize = "20";
   detailDistance = "100";
   parallaxScale = "0";
   detailSize = "5";
   useSideProjection = "0";
};


new TerrainMaterial()
{
   diffuseMap = "levels/snow_island/art/terrains/Snow_Overlay";
   diffuseSize = "20";
   detailMap = "levels/snow_island/art/terrains/Rock-05-D";
   detailSize = "7";
   detailDistance = "200";
   internalName = "Rock";
   useSideProjection = "0";
   detailStrength = "0.5";
   normalMap = "levels/snow_island/art/terrains/Rock-05-N";
   parallaxScale = "0";
   macroMap = "levels/Industrial/art/terrains/Rock-05-D";
   macroSize = "40";
   macroStrength = "0.25";
};

new TerrainMaterial()
{
   diffuseMap = "Grass-01-D";
   normalMap = "Grass-01-N";
   detailMap = "Grass-01-D";
   internalName = "Forest";
};

new TerrainMaterial()
{
   diffuseMap = "levels/snow_island/art/terrains/Overlay_02";
   normalMap = "levels/snow_island/art/terrains/Rock-04-N";
   detailMap = "levels/snow_island/art/terrains/Rock-04-D";
   detailDistance = "300";
   internalName = "Rock2";
   diffuseSize = "20";
   detailSize = "12";
};




new TerrainMaterial()
{
   diffuseMap = "levels/snow_island/art/terrains/Overlay_Sand-01";
   normalMap = "levels/snow_island/art/terrains/Sand-01-N";
   detailMap = "levels/snow_island/art/terrains/Sand-01-D";
   internalName = "BeachSand";
   detailStrength = "1";
};

new TerrainMaterial()
{
   diffuseMap = "levels/snow_island/art/terrains/Overlay_forest_floor";
   normalMap = "levels/snow_island/art/terrains/forest_floor_n";
   detailMap = "levels/snow_island/art/terrains/forest_floor_d";
   internalName = "forest_floor";
   detailSize = "3";
};



new TerrainMaterial()
{
   diffuseMap = "levels/snow_island/art/terrains/utah_overlay";
   normalMap = "levels/snow_island/art/terrains/utah_texture_dirt_01_n";
   detailMap = "levels/snow_island/art/terrains/RockyDirt-01-D";
   internalName = "Utah_rocky";
   diffuseSize = "4096";
   detailDistance = "100";
   detailSize = "7";
   detailStrength = "1";
};



new TerrainMaterial()
{
   diffuseMap = "levels/snow_island/art/terrains/utah_overlay";
   normalMap = "levels/snow_island/art/terrains/Utah_Texture_RockyDirt_02_n";
   detailMap = "levels/snow_island/art/terrains/Utah_Texture_RockyDirt_02_d";
   internalName = "Utah_rockydirt2";
   detailSize = "7";
   detailDistance = "100";
   detailStrength = "0.7";
   diffuseSize = "4096";
   useSideProjection = "0";
};

new TerrainMaterial()
{
   diffuseMap = "levels/snow_island/art/terrains/utah_overlay";
   diffuseSize = "4096";
   detailMap = "levels/snow_island/art/terrains/Utah_Texture_SandyDirt_01_d";
   detailSize = "5";
   detailStrength = "0.7";
   detailDistance = "100";
   internalName = "Utah_sandydirt";
};


new TerrainMaterial()
{
   diffuseMap = "levels/snow_island/art/terrains/Snow_Overlay";
   normalMap = "levels/snow_island/art/terrains/grass-02-n";
   detailMap = "levels/snow_island/art/terrains/grass-02-d";
   internalName = "groundmodel_asphalt1";
   detailSize = "3";
   parallaxScale = "0";
   macroStrength = "2";
};


new TerrainMaterial()
{
   diffuseMap = "levels/snow_island/art/terrains/Snow_Overlay";
   diffuseSize = "150";
   detailMap = "levels/snow_island/art/terrains/Grass-01-D";
   detailSize = "3";
   macroSize = "60";
   macroStrength = "0.5";
   macroDistance = "350";
   internalName = "Snow";
   detailStrength = "0.5";
   useSideProjection = "0";
   normalMap = "levels/snow_island/art/terrains/grass-02-n";
};


new TerrainMaterial()
{
   diffuseMap = "levels/snow_island/art/terrains/TileableMarbleLarge";
   diffuseSize = "20";
   detailSize = "3";
   macroSize = "60";
   macroStrength = "0.5";
   macroDistance = "350";
   internalName = "Ice";
   detailMap = "levels/snow_island/art/terrains/Overlay_02";
   detailStrength = "0.9";
   normalMap = "levels/snow_island/art/terrains/Concrete-02-NH";
   parallaxScale = "0";
};
